<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb</groupId>
    <artifactId>update-management</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.update-management</groupId>
  <artifactId>update-management-support</artifactId>
  <packaging>pom</packaging>
  <name>ENTAXY :: UPDATE MANAGEMENT :: SUPPORT</name>
  <description>ENTAXY :: UPDATE MANAGEMENT :: SUPPORT</description>
  
  <profiles>
		<profile>
			<id>prepare-attaches-main-xslt</id>
			<activation>
				<file>
					<exists>src/main/xslt</exists>
				</file>
			</activation>
			<properties>
				<xslt.defaults>
default.artifact.extension=xslt
default.file.folder=
fragments.generate=false
fragments.folder=src/main/xslt				
				</xslt.defaults>
			</properties>
			<build>
				<plugins>
                	<plugin>
                		<artifactId>maven-resources-plugin</artifactId>
						<executions>
							<execution>
								<id>copy-main-attaches-xslt</id>
								<phase>generate-resources</phase>
								<goals>
									<goal>copy-resources</goal>
								</goals>
								<configuration>
									<skip>${disable.attaches}</skip>
									<outputDirectory>${project.build.directory}/attach-resources/resources</outputDirectory>
									<resources>          
										<resource>
											<directory>src/main</directory>
											<filtering>true</filtering>
					                        <includes>
					                            <include>xslt/*.xslt</include>
					                        </includes>
					                        <excludes>
												<exclude>*/generated/*</exclude> 
					                        </excludes>
										</resource>
									</resources>              
								</configuration>            
							</execution>
						</executions>                		
                	</plugin>
				</plugins>
			</build>
		</profile>
  </profiles>
  
</project>
